4

Using the current TexLive 2015 on Windows 7 I can successfully compile the following MWE with pdflatex:

\documentclass[tikz]{standalone}
\usepackage{pgfplots}
\pgfplotsset{compat=1.12} 

\begin{document}
abc
\end{document}

Compiling the same document with lualatex on the other hand leads to the following error message:

This is LuaTeX, Version beta-0.80.0 (TeX Live 2015/W32TeX) (rev 5238)
 restricted \write18 enabled.
(./error_minimal.tex
LaTeX2e <2015/01/01>
Babel <3.9l> and hyphenation patterns for 79 languages loaded.
(c:/texlive/2015/texmf-dist/tex/latex/standalone/standalone.cls
Document Class: standalone 2015/07/15 v1.2 Class to compile TeX sub-files 
[...]
(c:/texlive/2015/texmf-dist/tex/luatex/luatexbase/luatexbase.sty
(c:/texlive/2015/texmf-dist/tex/luatex/ctablestack/ctablestack.sty
(c:/texlive/2015/texmf-dist/tex/latex/base/ltluatex.tex
! Missing number, treated as zero.
<to be read again>
\relax
l.140 \newcatcodetable\catcodetable@initex

?

Is this a known bug or am I doing something wrong?

14
  • 1
    No problem here using TeX Live2015 on Ubuntu. Doing a general update now to check if that breaks it. Oct 14, 2015 at 13:34
  • 2
    What is the date of the format? Oct 14, 2015 at 13:40
  • Looks like you have an unpatched 2015/01/01 kernel: this is unfortunately buggy , which shows up with newer LuaTeX support. Ideally you should have either the 2015/01/01 PL2 or (better) the 2015/10/01 PL1 kernel.
    – Joseph Wright
    Oct 14, 2015 at 13:45
  • @UlrikeFischer: The luatex.fmt is 2 hours old and the size is 529 kB.
    – Alexander
    Oct 14, 2015 at 13:46
  • this looks like github.com/josephwright/ltluatexsupp/issues/5 (which was fixed by rebuilding/updating the formats) Oct 14, 2015 at 13:49

1 Answer 1

7

This was an issue with the (short lived) 2015/01/01 format it should be OK with 2015/01/01 patch level 1 and is definitely OK with the current 2015/10/01 patch level 1 release.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .